<?php
/**
 * Admin
 * 
 * @package 	WooCommerce Availability Notifications
 * @subpackage 	woocommerce-availability-notiications/admin
 * @since 		1.0.3
 * @author 		ThemePlugger <themeplugger@gmail.com>
 * @link 		http://themeplugger.com
 * @license 	GNU General Public License, version 3
 * @copyright 	2014 ThemePlugger
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'WC_Availability_Notifications_Admin' ) ) :

/**
 * WC_Availability_Notifications_Admin
 * 
 * @since 1.0.3
 */
class WC_Availability_Notifications_Admin extends TP_Layer_Admin {
	
	/**
	 * Constructor
	 * 
	 * @since 1.0.3
	 */
	public function __construct() {
		$this->setup_variables();
		$this->setup_includes();
		$this->setup_hooks();
	}
	
	
	/** Setup methods **************************************************/

	/**
	 * Setup the global variables
	 * 
	 * @since 1.0.3
	 */
	protected function setup_variables() {
		$parent = wc_availability_notifications();
		
		$this->set_admin_dir( $parent->admin_dir );
		$this->set_admin_url( $parent->admin_url );
	}
	
	/**
	 * Setup the included files
	 * 
	 * @since 1.0.3
	 */
	protected function setup_includes() {
		require_once( $this->admin_dir . 'classes/meta-box.php' );
		require_once( $this->admin_dir . 'classes/settings.php' );
	}
	
	/**
	 * Setup action and filter hooks
	 * 
	 * @since 1.0.3
	 */
	protected function setup_hooks() {
		// $this->setup_enqueue_scripts();
		// $this->setup_enqueue_styles();
	}
	
	
	/** Hook methods **************************************************/
	
	/**
	 * Enqueue scripts
	 * 
	 * @since 1.0.3
	 */
	public function enqueue_scripts() {
		// Do nothing here
	}
	
	/**
	 * Enqueue scripts
	 * 
	 * @since 1.0.3
	 */
	public function enqueue_styles() {
		// Do nothing here
	}
}
	
endif;

/**
 * WC_Availability_Notifications_Admin
 * 
 * @since 1.0.3
 * 
 * @return object WC_Availability_Notifications_Admin
 */
function wc_availability_notifications_admin() {
	return new WC_Availability_Notifications_Admin();
}

/**
 * Initialize
 * 
 * @since 1.0.3
 */
wc_availability_notifications()->admin = wc_availability_notifications_admin();
